/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NH 256
#define NX 32
#define FNAME "t5"
#define MAXERROR 10
DATA x[NX] ={ /* b0 b1 b2 ... b(NH-1) */
-736,
1628,
682,
-1625,
-1639,
-1863,
-1042,
62,
-160,
775,
314,
35,
-1625,
-1171,
-460,
-854,
1033,
-711,
527,
1856,
10,
1708,
1251,
1593,
-1477,
1191,
1558,
-1312,
-1443,
1002,
846,
578,
};

#pragma DATA_SECTION(h,".coeffs")
DATA h[NH] ={
-6739,
-5661,
10172,
22123,
-8415,
-4899,
6203,
4308,
14191,
741,
18114,
-699,
-20585,
13148,
31634,
20095,
13340,
-986,
-25257,
10803,
-8823,
-23591,
4376,
21168,
11399,
32731,
30253,
-28911,
-9155,
3179,
-15613,
6379,
-29539,
4656,
13163,
30296,
16417,
15728,
-4465,
8799,
19859,
-27271,
29193,
27259,
6683,
-16151,
24474,
878,
15246,
-5097,
30236,
-28046,
3500,
-13633,
23459,
-10764,
11809,
-29266,
-9395,
-112,
-4297,
4093,
7642,
-25341,
26099,
16682,
19079,
20640,
11141,
-19604,
-14871,
8272,
2415,
-28869,
-26938,
-14988,
-5960,
-1702,
26803,
6307,
-11210,
-1430,
6368,
-22188,
21592,
29892,
6261,
-30884,
20454,
7216,
13205,
-26726,
-4923,
-8155,
-21879,
21833,
22193,
-3172,
29923,
-23125,
24243,
17657,
-3660,
7904,
29601,
9175,
-16560,
-9654,
-20457,
-614,
-5946,
-2391,
7270,
-28104,
-12172,
7103,
-21298,
7931,
-16649,
5725,
396,
-2309,
2714,
28988,
-10371,
-6436,
-12604,
-5796,
-14029,
-6939,
197,
14547,
-12701,
-25418,
-3717,
-2179,
-31807,
10751,
14684,
-14311,
-15610,
13662,
18602,
31860,
-1748,
26399,
-3208,
19956,
21552,
-21872,
-6953,
1360,
14294,
4534,
-2569,
-3585,
-27018,
-3704,
-8763,
-12942,
23058,
17005,
29475,
3797,
-31836,
6303,
20722,
31266,
-18226,
13348,
1445,
28370,
13982,
-17824,
-3301,
-21483,
30724,
-9456,
-29554,
16733,
25874,
-14015,
-16306,
28359,
-24184,
28889,
13228,
22785,
-19054,
-2944,
-27455,
23011,
4066,
-11843,
-8199,
24103,
-8378,
-27939,
-19672,
-29525,
4371,
-24778,
1449,
-25097,
17689,
-8189,
21193,
-29712,
6416,
29435,
-13842,
25482,
-26111,
-28488,
-17413,
28383,
-28631,
-15453,
32737,
-18876,
-105,
-13731,
11321,
30014,
17468,
10887,
-24187,
-26515,
-31794,
-13881,
20757,
31816,
-31631,
20931,
7938,
3946,
-16776,
21103,
-15519,
16622,
10462,
-18740,
6692,
6877,
10453,
-20752,
8948,
-21607,
2595,
8086,
12182,
11622,
24695,
-31924,
-12426,
18289,
};



#pragma DATA_SECTION(db,".dbuffer")
DATA db[NH+2] ;

DATA rtest[NX] ={
151,
-208,
-650,
225,
2118,
314,
-1627,
-991,
-870,
378,
-259,
-129,
597,
-2630,
-2252,
288,
707,
420,
-2062,
-5128,
-3994,
-417,
-1463,
-157,
5930,
2561,
621,
-1223,
-4174,
-3442,
-3419,
-2030,
};

DATA r[NX];
